Bug 247057 - Initscript Review
Initscript Review
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: shorewall (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robert Marcano
Fedora Extras Quality Assurance
:
Depends On: 321691
Blocks: InitscriptStatus
  Show dependency treegraph
 
Reported: 2007-07-05 09:59 EDT by Harald Hoyer
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 4.0.5-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 13:10:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2007-07-05 09:59:02 EDT
Please have a look at the wikipage 
http://fedoraproject.org/wiki/FCNewInit/Initscripts
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.
Comment 1 Jonathan Underwood 2007-10-06 21:09:39 EDT
This is being adressed as part of the Shorewall version 4 package review -
please see BZ #321691 (and also BZ #321731). Harald, your comments on the init
file would be appreciated.
Comment 2 Fedora Update System 2007-11-14 22:34:38 EST
shorewall-4.0.5-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update shorewall'
Comment 3 Fedora Update System 2007-11-20 13:10:19 EST
shorewall-4.0.5-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.